> ## Documentation Index
> Fetch the complete documentation index at: https://docs.userintuition.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Feasibility Request

> Get a feasibility request by ID.



## OpenAPI

````yaml /api-reference/openapi.json get /api/public/v1/feasibility-requests/{request_id}
openapi: 3.1.0
info:
  title: User Intuition Public API
  description: >-
    ## Public Integration API


    Programmatic access to User Intuition for external integrators: manage
    studies, participants, interviews, reports, and panels.


    ### Authentication


    All endpoints require a Bearer token — either an API key (prefixed `ui_sk_`,
    created in the dashboard) or a dashboard JWT:


    ```

    Authorization: Bearer <ui_sk_… or JWT>

    ```


    ### Base URLs


    - **Production:** `https://api.userintuition.ai`

    - **Staging:** `https://staging.userintuition.ai`


    ### Support


    For API support, contact support@userintuition.ai
  version: 1.0.0
  contact:
    name: User Intuition Support
    email: support@userintuition.ai
servers:
  - url: https://api.userintuition.ai
    description: Production
  - url: https://staging.userintuition.ai
    description: Staging
security:
  - BearerAuth: []
paths:
  /api/public/v1/feasibility-requests/{request_id}:
    get:
      tags:
        - public-feasibility
      summary: Get Feasibility Request
      description: Get a feasibility request by ID.
      operationId: getFeasibilityRequest
      parameters:
        - name: request_id
          in: path
          required: true
          schema:
            type: string
            title: Request Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PublicFeasibilityRequest'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    PublicFeasibilityRequest:
      properties:
        id:
          type: string
          title: Id
        target_audience:
          type: string
          title: Target Audience
        country_code:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Country Code
        target:
          type: integer
          title: Target
        incident_rate:
          type: number
          title: Incident Rate
        study_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Study Id
        estimated_total_cost_per_interview_usd:
          anyOf:
            - type: number
            - type: 'null'
          title: Estimated Total Cost Per Interview Usd
        estimated_total_cost_usd:
          anyOf:
            - type: number
            - type: 'null'
          title: Estimated Total Cost Usd
        estimated_timeline_hours:
          anyOf:
            - type: number
            - type: 'null'
          title: Estimated Timeline Hours
        created_at:
          type: string
          format: date-time
          title: Created At
        responded_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Responded At
        status:
          $ref: '#/components/schemas/FeasibilityRequestStatus'
      type: object
      required:
        - id
        - target_audience
        - target
        - incident_rate
        - created_at
        - status
      title: PublicFeasibilityRequest
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    FeasibilityRequestStatus:
      type: string
      enum:
        - RECEIVED
        - RESPONDED
      title: FeasibilityRequestStatus
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        Authenticate with an API key (prefixed `ui_sk_`) or a JWT token from the
        dashboard.

````